## Index

### Functions

- clearInterval
- clearTimeout
- setImmediate
- setInterval
- setTimeout

## Functions

### clearInterval

- clearInterval(id: any): void

- - Defined in timers.ts:49

  Cancels the previously created interval

  #### Parameters

  - ##### id: any

    The interval ID to cancel

  #### Returns void

### clearTimeout

- clearTimeout(id: any): void

- - Defined in timers.ts:22

  Cancels a previously specified timeout

  #### Parameters

  - ##### id: any

    the id of the timeout to cancel

  #### Returns void

### setImmediate

- setImmediate(cb: any): void

- - Defined in timers.ts:30

  Fires a callback after the current task yields

  #### Parameters

  - ##### cb: any

    The callback to fire asynchronously

  #### Returns void

### setInterval

- setInterval(cb: any, ms: any): any

- - Defined in timers.ts:40

  Fires a callback over and over

  #### Parameters

  - ##### cb: any

    The callback to fire every milliseconds

  - ##### ms: any

    Milliseconds to wait between intervals

  #### Returns any

  id of newly created interval

### setTimeout

- setTimeout(cb: any, ms: any): any

- - Defined in timers.ts:13

  Fires a callback function after the specified time elapses.

  #### Parameters

  - ##### cb: any

    function to execute after time elapses

  - ##### ms: any

    milliseconds to wait before executing

  #### Returns any

  an ID for the newly created timeout

Generated using TypeDoc